<div class="container p-4">

    <h1>Résultat du formulaire : </h1>


    <div *ngIf="!liste.length" class="alert alert-info">La liste des prospects est vide..</div>
    <table *ngIf="liste.length" class="table table-dark table-striped">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Civilité</th>
                <th scope="col">Nom</th>
                <th scope="col">Prénom</th>
                <th scope="col">Mail</th>
                <th scope="col">Phone</th>
                <th scope="col">Ville</th>
                <th scope="col">Code</th>
                <th scope="col">Condition</th>
                <th scope="col">Contact Promo</th>
                <th scope="col">Contact Conseiller</th>
            </tr>
        </thead>
        <tbody *ngFor="let prop of liste, let i=index">
            <tr>
                <td>{{i}}</td>
                <td>{{prop.civilite}}</td>
                <td>{{prop.nom}}</td>
                <td>{{prop.prenom}}</td>
                <td>{{prop.mail}}</td>
                <td>{{prop.phone}}</td>
                <td>{{prop.ville}}</td>
                <td>{{prop.code}}</td>
                <td class="text-center">
                    <i *ngIf="prop.condition" class="bi bi-check text-success"></i>
                    <i *ngIf="!prop.condition" class="bi bi-x text-danger"></i>
                </td>

                <td class="text-center">
                    <i *ngIf="prop.promo" class="bi bi-check text-success"></i>
                    <i *ngIf="!prop.promo" class="bi bi-x text-danger"></i>
                </td>
                <td class="text-center">
                    <i *ngIf="prop.contactConseiller" class="bi bi-check text-success"></i>
                    <i *ngIf="!prop.contactConseiller" class="bi bi-x text-danger"></i>
                </td>

            </tr>

        </tbody>
    </table>
    <div class="d-flex flex-row justify-content-between">
        <button routerLinkActive="active" class="btn btn-warning" (click)="navigate()">Retour</button>
        <button routerLinkActive="active" class="btn btn-danger" (click)="clear()">Clear</button>
    </div>

</div>
